Bug 510748 - rsync does not work in client mode when launched from an init script
rsync does not work in client mode when launched from an init script
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy-targeted (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Miroslav Grepl
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-10 11:05 EDT by James Laska
Modified: 2013-09-02 02:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 03:50:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
audit.log (4.51 KB, text/plain)
2009-07-10 11:05 EDT, James Laska
no flags Details

  None (edit)
Description James Laska 2009-07-10 11:05:42 EDT
Created attachment 351272 [details]
audit.log

Description of problem:

While running autotest on a RHEL5.3, the server is unable to copy test log files from client systems using rsync over ssh.

Version-Release number of selected component (if applicable):

 * libselinux-1.33.4-5.1.el5
 * selinux-policy-targeted-2.4.6-203.el5
 * selinux-policy-2.4.6-203.el5
 * autotest-0.10.0-4.ep5.el5

How reproducible:

 * 100%

Steps to Reproduce:
1. Install setup and configure autotest for el5
2. Start the server scheduler daemon

# /etc/init.d/autotest start

3. Queue a job

# atest job create "rawhide-repoclosure" -B never -a never -f /usr/share/autotest/client/tests/repoclosure/control  -m some-client.example.com
  
4. Wait for job to complete ... 

Actual results:

* When job completes, notice that the job test results have not been copied back to server.  See the missing "repoclosure-*" directories below:

# ls /usr/share/autotest/results/50-autotest/some-client.example.com

control  control.srv  debug/  host_keyvals/  keyval  status.log  sysinfo/


Expected results:

Test logs should have been copied back to the server (see "repoclosure*" directories below):

# ls /usr/share/autotest/results/52-autotest/some-client.example.com

analysis/    debug/	    repoclosure.rawhide-i386/	 status
control      host_keyvals/  repoclosure.rawhide-ppc/	 status.log
control.srv  keyval	    repoclosure.rawhide-x86_64/  sysinfo/

Additional info:

 * According to dwalsh, there is a boolean called rsync_client in latest policy but it does not support ssh.
Comment 1 James Laska 2009-07-10 11:29:19 EDT
Clearing flags for now ... if this is desired in RHEL5.4, the exception? must be set.
Comment 2 Daniel Walsh 2009-08-21 17:47:09 EDT
Fixed in selinux-policy-2.4.6-256.el5
Comment 5 James Laska 2010-02-18 09:20:15 EST
I've updated to selinux-policy-2.4.6-274.el5 and I'm no longer seeing the reported issue.

Thanks!
Comment 7 errata-xmlrpc 2010-03-30 03:50:24 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0182.html

Note You need to log in before you can comment on or make changes to this bug.